Обсуждение версии 5.2.4

Обсуждение общих вопросов связанных с программой
xxx949
Сообщения: 17
Зарегистрирован:
13 авг 2013, 11:26

Re: Обсуждение версии 5.2.4

xxx949 » 28 мар 2016, 11:30

Максим писал(а):xxx949, уже обсуждалось на форуме. Это конфликт насколько я помню mongo с установленным в системе subversion. Выходы - или положить в папку с php все нужные библиотеки (libsvn_delta-1.dll, libsvn_subr-1.dll и так далее) или деинсталлировать subversion или же отключить расширение mongo из конфига php.
Спасибо.
Версия модулей x32
1. Думал, что нужно еще раз выполнить первый запуск, не помогло. Ошибки те же.
2. У меня действительно стоит RAD STUDIO XE6 и COLLABNET SUBVERSION, использующие эти библиотеки. Я библиотеки libsvn*.dll перекинул в каталог PHP, ругаться перестал на эти библиотеки, но осталась ошибка связанная с SSLEAY32.dll, "Порядковый номер 115 не найден в библиотеке DLL SSLEAY32.dll". Хотя эта библиотека уже была в каталоге PHP. Я пробовал ее даже менять на библиотеку, взятую из SUBVERSION, предварительно переименовав старую. Все равно ошибка вылазит.
Версия модулей x64
1. Ошибка осталась прежней "Ошибка при запуске приложения (0xc000007b). Для выхода из приложения нажмите кнопку "ОК"."

OpenServer (далее OS) ставился с нуля, т.е. сначала полностью удалялся старый, естественно с сохранением всех проектов сайтов. Затем полностью с нуля распаковывался новый OS.

Ошибку наблюдаю впервые, прежние версии OS запускались с лёту без проблем. Да и в этой версии ошибки только с новыми, последними модулями: Apache-PHP-7, PHP-7, MySQL-5.7. Точнее как я понял, конкретно с PHP-7. Старые модули запускаются без проблем. Поэтому немного сомневаюсь, что проблема может быть в mongo, но я попробую его отключить в конфиге. Попробую также деинсталлировать SUBVERSION, главное чтобы это не повлияло на функционал RAD STUDIO XE6, так как в нем часто работаю. :)

-------------------------
Отключил mongo в конфиге.
модули x32: Apache-PHP-7, PHP-7, MySQL-5.7
Полет нормальный, без ошибок :)
модули x64: Apache-PHP-7-x64, PHP-7-x64, MySQL-5.7-x64
Ошибка та же: httpd.exe. Ошибка при запуске приложения (0xc000007b). Для выхода из приложения нажмите кнопку "ОК". :(

Пользователям на заметку. :)
Antek
Сообщения: 2
Зарегистрирован:
13 мар 2016, 23:37

Re: Обсуждение версии 5.2.4

Antek » 28 мар 2016, 11:55

Спасибо за новый релиз!
Правда что-то не получается скачать его бесплатно на малой скорости. Эта фича еще действует?
xxx949
Сообщения: 17
Зарегистрирован:
13 авг 2013, 11:26

Re: Обсуждение версии 5.2.4

xxx949 » 28 мар 2016, 13:13

Еще раз всем привет!!!

Хочу поделиться для тех, кто столкнется с подобной ситуацией.
Чуть выше я писал, что у меня никак не хотели работать x64-модули: Apache-PHP-7-x64, PHP-7-x64, MySQL-5.7-x64. Ошибка: httpd.exe. Ошибка при запуске приложения (0xc000007b). Для выхода из приложения нажмите кнопку "ОК".

С ошибкой я справился, расскажу как.

Посредством замечательной утилитки "ProcessMonitor", я выяснил, что OS падает на библиотеке "C:\Windows\SysWOW64\vcruntime140.dll", эта библиотека относится к "Visual C++ 2015", а т.к. я пытаюсь запустить x64-модули, то и нужен Visual C++ 2015 x64, посмотрел в установленных программах, у меня стоит только версия x32, я благополучно скачал с сайта Microsoft версию x64, установил и вуаля, OS заработал. :)

Видимо в комплекте с OS, в утилите "Первый запуск", отсутствуют данные библиотеки. Для заметки.

Всем удачи. ;)
Аватара пользователя
Максим
Сообщения: 5380
Зарегистрирован:
11 дек 2010, 20:29
Контактная информация:

Re: Обсуждение версии 5.2.4

Максим » 28 мар 2016, 14:20

xxx949 писал(а):Видимо в комплекте с OS, в утилите "Первый запуск", отсутствуют данные библиотеки.
Ложные предположения.

xxx949, вы не выполняли установку библиотек из текущей версии Open Server (которую скачали) в противном случае всё бы у вас там было.
Аватара пользователя
kakaze
Сообщения: 40
Зарегистрирован:
27 авг 2015, 18:03

Re: Обсуждение версии 5.2.4

kakaze » 28 мар 2016, 14:26

По причине того, что никаких изменений в программу не вносилось, номер версии сборки остался прежним. Загрузив с сайта версию 5.2.4 в разделе "О программе" вы будете наблюдать номер сборки 5.2.2.
А весомое обновление разве не считается?(тоже добавление php 7) Тем более 3 цифра в версии... Неужели так сложно переименовать одну несчасную циферку чтоб не вводить людей лишний раз в заблуждение?(да и после 5.2.2 прошло уже почти полтора года!)
Вот например стоят старая и новая версия, допустим переносишь со старой на новую, и начинается путаница какая версия какая, бегай да перепроверяй... =="
пс. спс наконец за обнову, забавно что решил проверить именно сеня и как раз попал на обнову %)
xxx949
Сообщения: 17
Зарегистрирован:
13 авг 2013, 11:26

Re: Обсуждение версии 5.2.4

xxx949 » 28 мар 2016, 14:42

Максим писал(а):
xxx949 писал(а):Видимо в комплекте с OS, в утилите "Первый запуск", отсутствуют данные библиотеки.
Ложные предположения.

xxx949, вы не выполняли установку библиотек из текущей версии Open Server (которую скачали) в противном случае всё бы у вас там было.
:( Честно выполнял Первый запуск, и даже компьютер после этого перегрузил. Но не суть важно, видимо по какой-то причине не установилось. Мало ли что.

Просто вдруг кто-то случайно познакомится с данной ошибкой, будет знать как её исправить.

Спасибо.
Aydanka
Сообщения: 3
Зарегистрирован:
28 мар 2016, 14:43

Re: Обсуждение версии 5.2.4

Aydanka » 28 мар 2016, 14:45

Напишите как обновиться с предыдущей версии, плииз.
Аватара пользователя
Максим
Сообщения: 5380
Зарегистрирован:
11 дек 2010, 20:29
Контактная информация:

Re: Обсуждение версии 5.2.4

Максим » 28 мар 2016, 14:46

xxx949, редко такое бывает, но иногда антивирусы или UAC Windows не дает установится библиотекам, хотя при этом ползунок бежит (хотя на самом деле ничего не устанавливается). Возможно это случилось как раз у вас, в этом случае я советую вручную устанавливать следующие файлы:
/modules/system/setup-0.bat
/modules/system/setup-1.exe
/modules/system/setup-2.exe
Аватара пользователя
kakaze
Сообщения: 40
Зарегистрирован:
27 авг 2015, 18:03

Re: Обсуждение версии 5.2.4

kakaze » 28 мар 2016, 14:49

phpMyAdmin 4.6 я так понимаю в сборке нету... -__-
Ertong
Сообщения: 2
Зарегистрирован:
28 мар 2016, 17:55

Re: Обсуждение версии 5.2.4

Ertong » 28 мар 2016, 18:01

memcache для php7 тоже, вроде, нету
Закрыто